### Name: it.reb
### Title: Response Based Unit Segmentation (REBUS) Algorithm - Iterative
###   Steps
### Aliases: it.reb


### ** Examples

  ## Not run: 
##D   ## example of rebus analysis with simulated data
##D   data(sim.data)
##D   ## First compute GLOBAL model
##D   sim.mat <- matrix(c(0,0,0,0,0,0,1,1,0),3,3,byrow=TRUE)
##D   dimnames(sim.mat) <- list(c("Price","Quality","Satisfaction"),
##D                             c("Price","Quality","Satisfaction"))
##D   sim.sets <- list(c(1,2,3,4,5),c(6,7,8,9,10),c(11,12,13)) 
##D   sim.mod <- c("A","A","A")  ## reflective indicators
##D   sim.global <- plspm(sim.data, sim.mat, sim.sets, sim.mod)
##D   sim.global
##D   ## Then compute cluster analysis on residuals of global model
##D   sim.res.clus <- res.clus(sim.global)
##D   ## To conclude run iteration algorithm
##D   rebus.sim <- it.reb(sim.global, sim.res.clus, nk=2, 
##D                      stop.crit=0.005, iter.max=100)
##D   ## You can also compute complete outputs 
##D   ## for local models by running:
##D   local.rebus <- local.models(sim.global, rebus.sim)
##D   
## End(Not run)



