### Name: local.models
### Title: Calculates PLS-PM for global and local models
### Aliases: local.models


### ** Examples

  ## Not run: 
##D   ## example of rebus analysis
##D   data(sim.data)
##D   ## First compute GLOBAL model
##D   sim.mat <- matrix(c(0,0,0,0,0,0,1,1,0),3,3,byrow=TRUE)
##D   dimnames(sim.mat) <- list(c("Price","Quality","Satisfaction"),
##D                             c("Price","Quality","Satisfaction"))
##D   sim.sets <- list(c(1,2,3,4,5),c(6,7,8,9,10),c(11,12,13)) 
##D   sim.mod <- c("A","A","A")  ## reflective indicators
##D   sim.global <- plspm(sim.data, inner.mat=sim.mat, 
##D                       sets=sim.sets, modes=sim.mod)
##D   sim.global
##D   ## Then compute cluster on residual from global model
##D   sim.res.clus <- res.clus(sim.global)
##D   ## To conclude run iteration algorithm
##D   rebus.sim <- it.reb(sim.global, sim.res.clus, nk=2, 
##D                      stop.crit = 0.005, iter.max = 100 )
##D   ## Computation of local models 
##D   local.rebus <- local.models(sim.global, rebus.sim)
##D   ## Display plspm summary for first local model 
##D   summary(local.rebus$loc.model.1)
##D   
## End(Not run)



