### Name: rebus.pls
### Title: Response Based Unit Segmentation (REBUS) Algorithm - complete -
### Aliases: rebus.pls


### ** Examples

  ## Not run: 
##D   ## example of rebus analysis with simulated data
##D   data(sim.data)
##D   ## First compute GLOBAL model
##D   sim.mat <- matrix(c(0,0,0,0,0,0,1,1,0),3,3,byrow=TRUE)
##D   dimnames(sim.mat) <- list(c("Price","Quality","Satisfaction"),
##D                             c("Price","Quality","Satisfaction"))
##D   sim.sets <- list(c(1,2,3,4,5),c(6,7,8,9,10),c(11,12,13)) 
##D   sim.mod <- c("A","A","A")  ## reflective indicators
##D   sim.global <- plspm(sim.data, sim.mat, sim.sets, sim.mod)
##D   sim.global
##D   ## run rebus.pls function on the sim.data and choose the number of classes
##D   ## to be taken into account according to the displayed dendrogram.
##D   rebus.sim <- rebus.pls(sim.global, stop.crit = 0.005, iter.max = 100)
##D   ## You can also compute complete outputs 
##D   ## for local models by running:
##D   local.rebus <- local.models(sim.global, rebus.sim)
##D   ##
##D   ## ONCE COMPUTED THE GLOBAL MODEL IT IS POSSIBLE TO OBTAIN THE SAME RESULTS AS THE ONES
##D   ## OBTAINED BY RUNNING rebus.pls FUNCTION BY RUNNING THE FUNCTION res.clus
##D   ## AND THEN THE FUNCTION it.reb.
##D   ##
##D   ## Example:
##D   ## Once compute the global model you need to compute cluster analysis on residuals of the global model:
##D   sim.res.clus <- res.clus(sim.global)
##D   ## and then run the iteration algorithm:
##D   rebus.sim.twofunc <- it.reb(sim.global, sim.res.clus, nk=2, 
##D                      stop.crit=0.005, iter.max=100)
##D   ##
##D   ## rebus.sim = rebus.sim.twofunc
##D   
## End(Not run)



