### Name: rebus.test
### Title: Permutation Test for REBUS Multi-Group Comparison
### Aliases: rebus.test


### ** Examples

  ## Not run: 
##D   ## example of rebus analysis with simulated data
##D   data(sim.data)
##D   ## Calcualte plspm
##D   sim.mat <- matrix(c(0,0,0,0,0,0,1,1,0),3,3,byrow=TRUE)
##D   dimnames(sim.mat) <- list(c("Price","Quality","Satisfaction"),
##D                             c("Price","Quality","Satisfaction"))
##D   sim.sets <- list(c(1,2,3,4,5),c(6,7,8,9,10),c(11,12,13)) 
##D   sim.mod <- c("A","A","A")  ## reflective indicators
##D   sim.global <- plspm(sim.data, sim.mat, sim.sets, sim.mod)
##D   ## Cluster analysis on residuals of global model
##D   sim.res.clus <- res.clus(sim.global)
##D   ## Iterative steps of REBUS algorithm on 2 classes
##D   rebus.sim <- it.reb(sim.global, sim.res.clus, nk=2, 
##D                      stop.crit=0.005, iter.max=100)
##D   sim.permu <- rebus.test(sim.global, rebus.sim)
##D   sim.permu
##D   sim.permu$test_1_2
##D   ## or equivalently
##D   sim.permu[[1]]
##D   
## End(Not run)



